Package org.gradle.nativeplatform.test.xctest.tasks

# Class InstallXCTestBundle

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.nativeplatform.test.xctest.tasks.InstallXCTestBundle

All Implemented Interfaces:
  `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `org.gradle.util.Configurable<Task>`

@Incubating public class InstallXCTestBundle extends DefaultTask
Creates a XCTest bundle with a run script so it can be easily executed.

Since:
  4.4

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.gradle.api.Task

`Task.Namer`

## Field Summary

### Fields inherited from interface org.gradle.api.Task

`TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

## Constructor Summary

Constructors
Constructor
Description
`InstallXCTestBundle()`

## Method Summary

Modifier and Type
Method
Description
`protected File`
`getBundleBinary()`
`RegularFileProperty`
`getBundleBinaryFile()`
Returns the bundle binary file property.
`protected org.gradle.api.internal.file.FileOperations`
`getFileOperations()`
`protected org.gradle.internal.nativeintegration.filesystem.FileSystem`
`getFileSystem()`
`DirectoryProperty`
`getInstallDirectory()`
Returns the install directory property.
`Provider<RegularFile>`
`getRunScriptFile()`
Returns the script file that can be used to run the install image.
`protected org.gradle.language.swift.internal.SwiftStdlibToolLocator`
`getSwiftStdlibToolLocator()`

### Methods inherited from class org.gradle.api.DefaultTask

`newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

### Methods inherited from class org.gradle.api.internal.AbstractTask

`addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InstallXCTestBundle

public InstallXCTestBundle()

## Method Details

### getSwiftStdlibToolLocator

@Inject protected org.gradle.language.swift.internal.SwiftStdlibToolLocator getSwiftStdlibToolLocator()

### getFileSystem

@Inject protected org.gradle.internal.nativeintegration.filesystem.FileSystem getFileSystem()

### getFileOperations

@Inject protected org.gradle.api.internal.file.FileOperations getFileOperations()

### getRunScriptFile

@Internal public Provider<RegularFile> getRunScriptFile()
Returns the script file that can be used to run the install image.

### getBundleBinaryFile

@Internal("covered by getBundleBinary()") public RegularFileProperty getBundleBinaryFile()
Returns the bundle binary file property.

### getBundleBinary

@SkipWhenEmpty @InputFile @Optional protected File getBundleBinary()

### getInstallDirectory

@OutputDirectory public DirectoryProperty getInstallDirectory()
Returns the install directory property.